# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: MeasurementProvider.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


import sila2lib.framework.SiLAFramework_pb2 as SiLAFramework__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='MeasurementProvider.proto',
  package='sila2.biovt.mw.tum.de.examples.measurementprovider.v1',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x19MeasurementProvider.proto\x12\x35sila2.biovt.mw.tum.de.examples.measurementprovider.v1\x1a\x13SiLAFramework.proto\"\x1b\n\x19GetTemperature_Parameters\"T\n\x18GetTemperature_Responses\x12\x38\n\x12\x43urrentTemperature\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x18\n\x16GetPressure_Parameters\"N\n\x15GetPressure_Responses\x12\x35\n\x0f\x43urrentPressure\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x14\n\x12GetTime_Parameters\"C\n\x11GetTime_Responses\x12.\n\x08RealTime\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\" \n\x1eGetCalibratedVolume_Parameters\"^\n\x1dGetCalibratedVolume_Responses\x12=\n\x17\x43urrentCalibratedVolume\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x1c\n\x1aGetSensorNumber_Parameters\"V\n\x19GetSensorNumber_Responses\x12\x39\n\x13\x43urrentSensorNumber\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\" \n\x1eGetNormalVolumeFlow_Parameters\"^\n\x1dGetNormalVolumeFlow_Responses\x12=\n\x17\x43urrentNormalVolumeFlow\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x1a\n\x18GetVolumeFlow_Parameters\"R\n\x17GetVolumeFlow_Responses\x12\x37\n\x11\x43urrentVolumeFlow\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x1d\n\x1bGetDeltaPressure_Parameters\"X\n\x1aGetDeltaPressure_Responses\x12:\n\x14\x43urrentDeltaPressure\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x18\n\x16GetMassFlow_Parameters\"N\n\x15GetMassFlow_Responses\x12\x35\n\x0f\x43urrentMassFlow\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real\"\x14\n\x12GetMass_Parameters\"F\n\x11GetMass_Responses\x12\x31\n\x0b\x43urrentMass\x18\x01 \x01(\x0b\x32\x1c.sila2.org.silastandard.Real2\xad\x0e\n\x13MeasurementProvider\x12\xb5\x01\n\x0eGetTemperature\x12P.sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetTemperature_Parameters\x1aO.sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetTemperature_Responses\"\x00\x12\xac\x01\n\x0bGetPressure\x12M.sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetPressure_Parameters\x1aL.sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetPressure_Responses\"\x00\x12\xa0\x01\n\x07GetTime\x12I.sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetTime_Parameters\x1aH.sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetTime_Responses\"\x00\x12\xc4\x01\n\x13GetCalibratedVolume\x12U.sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetCalibratedVolume_Parameters\x1aT.sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetCalibratedVolume_Responses\"\x00\x12\xb8\x01\n\x0fGetSensorNumber\x12Q.sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetSensorNumber_Parameters\x1aP.sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetSensorNumber_Responses\"\x00\x12\xc4\x01\n\x13GetNormalVolumeFlow\x12U.sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetNormalVolumeFlow_Parameters\x1aT.sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetNormalVolumeFlow_Responses\"\x00\x12\xb2\x01\n\rGetVolumeFlow\x12O.sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetVolumeFlow_Parameters\x1aN.sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetVolumeFlow_Responses\"\x00\x12\xbb\x01\n\x10GetDeltaPressure\x12R.sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetDeltaPressure_Parameters\x1aQ.sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetDeltaPressure_Responses\"\x00\x12\xac\x01\n\x0bGetMassFlow\x12M.sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetMassFlow_Parameters\x1aL.sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetMassFlow_Responses\"\x00\x12\xa0\x01\n\x07GetMass\x12I.sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetMass_Parameters\x1aH.sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetMass_Responses\"\x00\x62\x06proto3'
  ,
  dependencies=[SiLAFramework__pb2.DESCRIPTOR,])




_GETTEMPERATURE_PARAMETERS = _descriptor.Descriptor(
  name='GetTemperature_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetTemperature_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=105,
  serialized_end=132,
)


_GETTEMPERATURE_RESPONSES = _descriptor.Descriptor(
  name='GetTemperature_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetTemperature_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentTemperature', full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetTemperature_Responses.CurrentTemperature', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=134,
  serialized_end=218,
)


_GETPRESSURE_PARAMETERS = _descriptor.Descriptor(
  name='GetPressure_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetPressure_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=220,
  serialized_end=244,
)


_GETPRESSURE_RESPONSES = _descriptor.Descriptor(
  name='GetPressure_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetPressure_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentPressure', full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetPressure_Responses.CurrentPressure', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=246,
  serialized_end=324,
)


_GETTIME_PARAMETERS = _descriptor.Descriptor(
  name='GetTime_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetTime_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=326,
  serialized_end=346,
)


_GETTIME_RESPONSES = _descriptor.Descriptor(
  name='GetTime_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetTime_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='RealTime', full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetTime_Responses.RealTime', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=348,
  serialized_end=415,
)


_GETCALIBRATEDVOLUME_PARAMETERS = _descriptor.Descriptor(
  name='GetCalibratedVolume_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetCalibratedVolume_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=417,
  serialized_end=449,
)


_GETCALIBRATEDVOLUME_RESPONSES = _descriptor.Descriptor(
  name='GetCalibratedVolume_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetCalibratedVolume_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentCalibratedVolume', full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetCalibratedVolume_Responses.CurrentCalibratedVolume', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=451,
  serialized_end=545,
)


_GETSENSORNUMBER_PARAMETERS = _descriptor.Descriptor(
  name='GetSensorNumber_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetSensorNumber_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=547,
  serialized_end=575,
)


_GETSENSORNUMBER_RESPONSES = _descriptor.Descriptor(
  name='GetSensorNumber_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetSensorNumber_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentSensorNumber', full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetSensorNumber_Responses.CurrentSensorNumber', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=577,
  serialized_end=663,
)


_GETNORMALVOLUMEFLOW_PARAMETERS = _descriptor.Descriptor(
  name='GetNormalVolumeFlow_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetNormalVolumeFlow_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=665,
  serialized_end=697,
)


_GETNORMALVOLUMEFLOW_RESPONSES = _descriptor.Descriptor(
  name='GetNormalVolumeFlow_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetNormalVolumeFlow_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentNormalVolumeFlow', full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetNormalVolumeFlow_Responses.CurrentNormalVolumeFlow', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=699,
  serialized_end=793,
)


_GETVOLUMEFLOW_PARAMETERS = _descriptor.Descriptor(
  name='GetVolumeFlow_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetVolumeFlow_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=795,
  serialized_end=821,
)


_GETVOLUMEFLOW_RESPONSES = _descriptor.Descriptor(
  name='GetVolumeFlow_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetVolumeFlow_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentVolumeFlow', full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetVolumeFlow_Responses.CurrentVolumeFlow', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=823,
  serialized_end=905,
)


_GETDELTAPRESSURE_PARAMETERS = _descriptor.Descriptor(
  name='GetDeltaPressure_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetDeltaPressure_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=907,
  serialized_end=936,
)


_GETDELTAPRESSURE_RESPONSES = _descriptor.Descriptor(
  name='GetDeltaPressure_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetDeltaPressure_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentDeltaPressure', full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetDeltaPressure_Responses.CurrentDeltaPressure', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=938,
  serialized_end=1026,
)


_GETMASSFLOW_PARAMETERS = _descriptor.Descriptor(
  name='GetMassFlow_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetMassFlow_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1028,
  serialized_end=1052,
)


_GETMASSFLOW_RESPONSES = _descriptor.Descriptor(
  name='GetMassFlow_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetMassFlow_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentMassFlow', full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetMassFlow_Responses.CurrentMassFlow', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1054,
  serialized_end=1132,
)


_GETMASS_PARAMETERS = _descriptor.Descriptor(
  name='GetMass_Parameters',
  full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetMass_Parameters',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1134,
  serialized_end=1154,
)


_GETMASS_RESPONSES = _descriptor.Descriptor(
  name='GetMass_Responses',
  full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetMass_Responses',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='CurrentMass', full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetMass_Responses.CurrentMass', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1156,
  serialized_end=1226,
)

_GETTEMPERATURE_RESPONSES.fields_by_name['CurrentTemperature'].message_type = SiLAFramework__pb2._REAL
_GETPRESSURE_RESPONSES.fields_by_name['CurrentPressure'].message_type = SiLAFramework__pb2._REAL
_GETTIME_RESPONSES.fields_by_name['RealTime'].message_type = SiLAFramework__pb2._REAL
_GETCALIBRATEDVOLUME_RESPONSES.fields_by_name['CurrentCalibratedVolume'].message_type = SiLAFramework__pb2._REAL
_GETSENSORNUMBER_RESPONSES.fields_by_name['CurrentSensorNumber'].message_type = SiLAFramework__pb2._REAL
_GETNORMALVOLUMEFLOW_RESPONSES.fields_by_name['CurrentNormalVolumeFlow'].message_type = SiLAFramework__pb2._REAL
_GETVOLUMEFLOW_RESPONSES.fields_by_name['CurrentVolumeFlow'].message_type = SiLAFramework__pb2._REAL
_GETDELTAPRESSURE_RESPONSES.fields_by_name['CurrentDeltaPressure'].message_type = SiLAFramework__pb2._REAL
_GETMASSFLOW_RESPONSES.fields_by_name['CurrentMassFlow'].message_type = SiLAFramework__pb2._REAL
_GETMASS_RESPONSES.fields_by_name['CurrentMass'].message_type = SiLAFramework__pb2._REAL
DESCRIPTOR.message_types_by_name['GetTemperature_Parameters'] = _GETTEMPERATURE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetTemperature_Responses'] = _GETTEMPERATURE_RESPONSES
DESCRIPTOR.message_types_by_name['GetPressure_Parameters'] = _GETPRESSURE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetPressure_Responses'] = _GETPRESSURE_RESPONSES
DESCRIPTOR.message_types_by_name['GetTime_Parameters'] = _GETTIME_PARAMETERS
DESCRIPTOR.message_types_by_name['GetTime_Responses'] = _GETTIME_RESPONSES
DESCRIPTOR.message_types_by_name['GetCalibratedVolume_Parameters'] = _GETCALIBRATEDVOLUME_PARAMETERS
DESCRIPTOR.message_types_by_name['GetCalibratedVolume_Responses'] = _GETCALIBRATEDVOLUME_RESPONSES
DESCRIPTOR.message_types_by_name['GetSensorNumber_Parameters'] = _GETSENSORNUMBER_PARAMETERS
DESCRIPTOR.message_types_by_name['GetSensorNumber_Responses'] = _GETSENSORNUMBER_RESPONSES
DESCRIPTOR.message_types_by_name['GetNormalVolumeFlow_Parameters'] = _GETNORMALVOLUMEFLOW_PARAMETERS
DESCRIPTOR.message_types_by_name['GetNormalVolumeFlow_Responses'] = _GETNORMALVOLUMEFLOW_RESPONSES
DESCRIPTOR.message_types_by_name['GetVolumeFlow_Parameters'] = _GETVOLUMEFLOW_PARAMETERS
DESCRIPTOR.message_types_by_name['GetVolumeFlow_Responses'] = _GETVOLUMEFLOW_RESPONSES
DESCRIPTOR.message_types_by_name['GetDeltaPressure_Parameters'] = _GETDELTAPRESSURE_PARAMETERS
DESCRIPTOR.message_types_by_name['GetDeltaPressure_Responses'] = _GETDELTAPRESSURE_RESPONSES
DESCRIPTOR.message_types_by_name['GetMassFlow_Parameters'] = _GETMASSFLOW_PARAMETERS
DESCRIPTOR.message_types_by_name['GetMassFlow_Responses'] = _GETMASSFLOW_RESPONSES
DESCRIPTOR.message_types_by_name['GetMass_Parameters'] = _GETMASS_PARAMETERS
DESCRIPTOR.message_types_by_name['GetMass_Responses'] = _GETMASS_RESPONSES
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

GetTemperature_Parameters = _reflection.GeneratedProtocolMessageType('GetTemperature_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETTEMPERATURE_PARAMETERS,
  '__module__' : 'MeasurementProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetTemperature_Parameters)
  })
_sym_db.RegisterMessage(GetTemperature_Parameters)

GetTemperature_Responses = _reflection.GeneratedProtocolMessageType('GetTemperature_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETTEMPERATURE_RESPONSES,
  '__module__' : 'MeasurementProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetTemperature_Responses)
  })
_sym_db.RegisterMessage(GetTemperature_Responses)

GetPressure_Parameters = _reflection.GeneratedProtocolMessageType('GetPressure_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETPRESSURE_PARAMETERS,
  '__module__' : 'MeasurementProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetPressure_Parameters)
  })
_sym_db.RegisterMessage(GetPressure_Parameters)

GetPressure_Responses = _reflection.GeneratedProtocolMessageType('GetPressure_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETPRESSURE_RESPONSES,
  '__module__' : 'MeasurementProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetPressure_Responses)
  })
_sym_db.RegisterMessage(GetPressure_Responses)

GetTime_Parameters = _reflection.GeneratedProtocolMessageType('GetTime_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETTIME_PARAMETERS,
  '__module__' : 'MeasurementProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetTime_Parameters)
  })
_sym_db.RegisterMessage(GetTime_Parameters)

GetTime_Responses = _reflection.GeneratedProtocolMessageType('GetTime_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETTIME_RESPONSES,
  '__module__' : 'MeasurementProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetTime_Responses)
  })
_sym_db.RegisterMessage(GetTime_Responses)

GetCalibratedVolume_Parameters = _reflection.GeneratedProtocolMessageType('GetCalibratedVolume_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETCALIBRATEDVOLUME_PARAMETERS,
  '__module__' : 'MeasurementProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetCalibratedVolume_Parameters)
  })
_sym_db.RegisterMessage(GetCalibratedVolume_Parameters)

GetCalibratedVolume_Responses = _reflection.GeneratedProtocolMessageType('GetCalibratedVolume_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETCALIBRATEDVOLUME_RESPONSES,
  '__module__' : 'MeasurementProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetCalibratedVolume_Responses)
  })
_sym_db.RegisterMessage(GetCalibratedVolume_Responses)

GetSensorNumber_Parameters = _reflection.GeneratedProtocolMessageType('GetSensorNumber_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETSENSORNUMBER_PARAMETERS,
  '__module__' : 'MeasurementProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetSensorNumber_Parameters)
  })
_sym_db.RegisterMessage(GetSensorNumber_Parameters)

GetSensorNumber_Responses = _reflection.GeneratedProtocolMessageType('GetSensorNumber_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETSENSORNUMBER_RESPONSES,
  '__module__' : 'MeasurementProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetSensorNumber_Responses)
  })
_sym_db.RegisterMessage(GetSensorNumber_Responses)

GetNormalVolumeFlow_Parameters = _reflection.GeneratedProtocolMessageType('GetNormalVolumeFlow_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETNORMALVOLUMEFLOW_PARAMETERS,
  '__module__' : 'MeasurementProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetNormalVolumeFlow_Parameters)
  })
_sym_db.RegisterMessage(GetNormalVolumeFlow_Parameters)

GetNormalVolumeFlow_Responses = _reflection.GeneratedProtocolMessageType('GetNormalVolumeFlow_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETNORMALVOLUMEFLOW_RESPONSES,
  '__module__' : 'MeasurementProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetNormalVolumeFlow_Responses)
  })
_sym_db.RegisterMessage(GetNormalVolumeFlow_Responses)

GetVolumeFlow_Parameters = _reflection.GeneratedProtocolMessageType('GetVolumeFlow_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETVOLUMEFLOW_PARAMETERS,
  '__module__' : 'MeasurementProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetVolumeFlow_Parameters)
  })
_sym_db.RegisterMessage(GetVolumeFlow_Parameters)

GetVolumeFlow_Responses = _reflection.GeneratedProtocolMessageType('GetVolumeFlow_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETVOLUMEFLOW_RESPONSES,
  '__module__' : 'MeasurementProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetVolumeFlow_Responses)
  })
_sym_db.RegisterMessage(GetVolumeFlow_Responses)

GetDeltaPressure_Parameters = _reflection.GeneratedProtocolMessageType('GetDeltaPressure_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETDELTAPRESSURE_PARAMETERS,
  '__module__' : 'MeasurementProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetDeltaPressure_Parameters)
  })
_sym_db.RegisterMessage(GetDeltaPressure_Parameters)

GetDeltaPressure_Responses = _reflection.GeneratedProtocolMessageType('GetDeltaPressure_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETDELTAPRESSURE_RESPONSES,
  '__module__' : 'MeasurementProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetDeltaPressure_Responses)
  })
_sym_db.RegisterMessage(GetDeltaPressure_Responses)

GetMassFlow_Parameters = _reflection.GeneratedProtocolMessageType('GetMassFlow_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETMASSFLOW_PARAMETERS,
  '__module__' : 'MeasurementProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetMassFlow_Parameters)
  })
_sym_db.RegisterMessage(GetMassFlow_Parameters)

GetMassFlow_Responses = _reflection.GeneratedProtocolMessageType('GetMassFlow_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETMASSFLOW_RESPONSES,
  '__module__' : 'MeasurementProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetMassFlow_Responses)
  })
_sym_db.RegisterMessage(GetMassFlow_Responses)

GetMass_Parameters = _reflection.GeneratedProtocolMessageType('GetMass_Parameters', (_message.Message,), {
  'DESCRIPTOR' : _GETMASS_PARAMETERS,
  '__module__' : 'MeasurementProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetMass_Parameters)
  })
_sym_db.RegisterMessage(GetMass_Parameters)

GetMass_Responses = _reflection.GeneratedProtocolMessageType('GetMass_Responses', (_message.Message,), {
  'DESCRIPTOR' : _GETMASS_RESPONSES,
  '__module__' : 'MeasurementProvider_pb2'
  # @@protoc_insertion_point(class_scope:sila2.biovt.mw.tum.de.examples.measurementprovider.v1.GetMass_Responses)
  })
_sym_db.RegisterMessage(GetMass_Responses)



_MEASUREMENTPROVIDER = _descriptor.ServiceDescriptor(
  name='MeasurementProvider',
  full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.MeasurementProvider',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=1229,
  serialized_end=3066,
  methods=[
  _descriptor.MethodDescriptor(
    name='GetTemperature',
    full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.MeasurementProvider.GetTemperature',
    index=0,
    containing_service=None,
    input_type=_GETTEMPERATURE_PARAMETERS,
    output_type=_GETTEMPERATURE_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetPressure',
    full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.MeasurementProvider.GetPressure',
    index=1,
    containing_service=None,
    input_type=_GETPRESSURE_PARAMETERS,
    output_type=_GETPRESSURE_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetTime',
    full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.MeasurementProvider.GetTime',
    index=2,
    containing_service=None,
    input_type=_GETTIME_PARAMETERS,
    output_type=_GETTIME_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetCalibratedVolume',
    full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.MeasurementProvider.GetCalibratedVolume',
    index=3,
    containing_service=None,
    input_type=_GETCALIBRATEDVOLUME_PARAMETERS,
    output_type=_GETCALIBRATEDVOLUME_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetSensorNumber',
    full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.MeasurementProvider.GetSensorNumber',
    index=4,
    containing_service=None,
    input_type=_GETSENSORNUMBER_PARAMETERS,
    output_type=_GETSENSORNUMBER_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetNormalVolumeFlow',
    full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.MeasurementProvider.GetNormalVolumeFlow',
    index=5,
    containing_service=None,
    input_type=_GETNORMALVOLUMEFLOW_PARAMETERS,
    output_type=_GETNORMALVOLUMEFLOW_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetVolumeFlow',
    full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.MeasurementProvider.GetVolumeFlow',
    index=6,
    containing_service=None,
    input_type=_GETVOLUMEFLOW_PARAMETERS,
    output_type=_GETVOLUMEFLOW_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetDeltaPressure',
    full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.MeasurementProvider.GetDeltaPressure',
    index=7,
    containing_service=None,
    input_type=_GETDELTAPRESSURE_PARAMETERS,
    output_type=_GETDELTAPRESSURE_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetMassFlow',
    full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.MeasurementProvider.GetMassFlow',
    index=8,
    containing_service=None,
    input_type=_GETMASSFLOW_PARAMETERS,
    output_type=_GETMASSFLOW_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetMass',
    full_name='sila2.biovt.mw.tum.de.examples.measurementprovider.v1.MeasurementProvider.GetMass',
    index=9,
    containing_service=None,
    input_type=_GETMASS_PARAMETERS,
    output_type=_GETMASS_RESPONSES,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_MEASUREMENTPROVIDER)

DESCRIPTOR.services_by_name['MeasurementProvider'] = _MEASUREMENTPROVIDER

# @@protoc_insertion_point(module_scope)
